Skip to main content
POST
Manually Sync Okta Integration

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integration
string
required

Okta Integration ID

Response

OktaIntegrationDetailedResponseData

id
string
required
Example:

"okitg_01hq8xyzabc123def456ghi789"

state
enum<string>
required

The state of the integration

Available options:
staged,
active,
expiring,
expired,
deactivated
is_primary
boolean
required

Whether this is the primary integration and Identity Provider single source of truth for the organization. This is used to manage the lifecycle of Directory Users. Additional integrations can enrich user profile data, but only the primary integration will be used to create, update, or deactivate Directory Users

type
enum<string>
required

The environment type for the Okta integration. This is for internal cosmetic reference only

Available options:
demo,
sandbox,
development,
testing,
staging,
production,
unknown
description
string | null
required

A description for the Okta Integration. This is for reference only and has no effect on functionality

okta_domain
string
required

The Okta customer tenant domain

Example:

"example.okta.com"

badge_id_profile_key
string | null
required

The user profile key for badge ID in Okta API user schema, if applicable

employee_id_profile_key
string | null
required

The user profile key for employee ID in Okta API user schema, if applicable

employee_alt_id_profile_key
string | null
required

The user profile key for alternative employee ID in Okta API user schema, if applicable

manager_enabled
boolean
required

Whether this integration handles manager relationships. If true, the integration will attempt to sync manager relationships based on the provided manager_id_child_key and manager_id_parent_key

manager_id_child_key
string | null
required

The user profile key for the child in Okta API user schema for manager relationships, if applicable. This is only used if manager_enabled is true

manager_id_parent_key
string | null
required

The user profile key for the parent in Okta API user schema for manager relationships, if applicable. This is only used if manager_enabled is true

retention_days
integer
required

The number of days to retain PII for users that have been deleted or deactivated in Okta. After this period, user record PII fields will be deleted and replaced with ghost user data

scope_app
enum<string>
required

The OAUTH scopes authorized for Okta Apps

Available options:
read,
none
scope_group
enum<string>
required

The OAUTH scopes authorized for Okta Groups

Available options:
write,
read,
none
sync_enabled
boolean
required

Whether this integration is synced automatically on a schedule. If false, the integration can only be synced manually

metadata
string[] | null
required

Custom metadata key-value pairs for this integration

timestamp
IntegrationTimestampResponseData · object
required

The timestamps for the integration record

count
object
required

Count of related records

included
object
required

Included related resources

API hyperlinks related to the record